Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.interceptor.validation
Class AnnotationValidationInterceptor

    java.lang.Object
      com.opensymphony.xwork2.interceptor.AbstractInterceptor
          com.opensymphony.xwork2.interceptor.MethodFilterInterceptor
              com.opensymphony.xwork2.validator.ValidationInterceptor
                  org.apache.struts2.interceptor.validation.AnnotationValidationInterceptor

All Implemented Interfaces:
  Interceptor, Serializable

    public class AnnotationValidationInterceptor

extends ValidationInterceptor

Extends the xwork validation interceptor to also check for a @SkipValidation annotation, and if found, don't validate this action method

See Also:
  Serialized Form

Field Summary
`private static long` | `serialVersionUID` Auto-generated serialization id

Fields inherited from class com.opensymphony.xwork2.interceptor.MethodFilterInterceptor
`excludeMethods, includeMethods, log`

Constructor Summary
`AnnotationValidationInterceptor()`

Method Summary
`protected String` | `doIntercept(ActionInvocation invocation)` Subclasses must override to implement the interceptor logic.
`protected Method` | `getActionMethod(Class actionClass, String methodName)`

Methods inherited from class com.opensymphony.xwork2.validator.ValidationInterceptor
`doBeforeInvocation, isValidateAnnotatedMethodOnly, setValidateAnnotatedMethodOnly`

Methods inherited from class com.opensymphony.xwork2.interceptor.MethodFilterInterceptor
`applyInterceptor, getExcludeMethodsSet, getIncludeMethodsSet, intercept, setExcludeMethods, setIncludeMethods`

Methods inherited from class com.opensymphony.xwork2.interceptor.AbstractInterceptor
`destroy, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Auto-generated serialization id

  See Also:
    Constant Field Values

Constructor Detail

### AnnotationValidationInterceptor

    public AnnotationValidationInterceptor()

Method Detail

### doIntercept

    protected String doIntercept(ActionInvocation invocation)
                          throws Exception

  Description copied from class: `MethodFilterInterceptor`
  Subclasses must override to implement the interceptor logic.

  Overrides:
    `doIntercept` in class `ValidationInterceptor`
  Parameters:
    `invocation` - the action invocation
  Returns:
    the result of invocation
  Throws:
    `Exception`

### getActionMethod

    protected Method getActionMethod(Class actionClass,
                                     String methodName)
                              throws NoSuchMethodException

  Throws:
    `NoSuchMethodException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.